# NetSpeaker-API-Demo

A collection of demonstrations on how to use the NetSpeaker's API (simple HTML files!)


## What's this?

The Netspeaker provides an API which is kind of described [here](https://git.privacynerd.de/NetSpeaker/NetSpeaker#roadmap). This repository contains example web pages which access this API with javascript to display information
and change settings of the Netspeaker.


## simpledemo.html

A demo hosting of simpledemo.html can be found [here](http://netspeaker.privacynerd.de). Please note that
the connection is insecure (HTTP only) as many modern browser's policies won't allow "mixed content" 
javascript requests. As the Netspeaker API is not SSL encrypted, theres no way to fix this issue other than
by just serving the page the Javascript runs on only over HTTP.

This is how it looks like when you typed in the IP address / hostname of your Netspeaker:

![Demo of simpledemo.html](simpledemo.png)


## License

The files in this repository are licensed under the GNU GPLv3-or-later. A copy of this license can be found in the LICENSE file.
